Subject: [plasma] FW: New Version Notification for draft-schaad-plasma-cms-04.txt

From: "Jim Schaad" <[email-masked]>
Date: Mon, 18 Mar 2013 16:17:41 -0700

Update draft with a new way to handle encoding recipient infos.

Please look at and make sure that it makes sense.  Recommendations on other approaches should be discussed if you feel they are better than the one offered here.  I am not emotionally attached to this encoding and we discussed a couple of alternatives before choosing this one.

Jim

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Monday, March 18, 2013 4:07 PM
> To: [email-masked]
> Subject: New Version Notification for draft-schaad-plasma-cms-04.txt
> 
> 
> A new version of I-D, draft-schaad-plasma-cms-04.txt
> has been successfully submitted by Jim Schaad and posted to the
> IETF repository.
> 
> Filename:	 draft-schaad-plasma-cms
> Revision:	 04
> Title:		 Plasma Service Cryptographic Message Syntax (CMS)
> Processing
> Creation date:	 2013-03-18
> Group:		 Individual Submission
> Number of pages: 31
> URL:             http://www.ietf.org/internet-drafts/draft-schaad-plasma-cms-
> 04.txt
> Status:          http://datatracker.ietf.org/doc/draft-schaad-plasma-cms
> Htmlized:        http://tools.ietf.org/html/draft-schaad-plasma-cms-04
> Diff:            http://www.ietf.org/rfcdiff?url2=draft-schaad-plasma-cms-04
> 
> Abstract:
>    Secure MIME (S/MIME) defined a method of placing security labels on a
>    Cryptographic Message Syntax (CMS) object.  These labels are placed
>    as part of the data signed and validated by the parties.  This means
>    that the message content is visible to the recipient prior to the
>    label enforcement.  A new model for enforcement of policy using a
>    third party is described in RFC TBD
>    [I.D-draft-freeman-plasma-requirements].  This is the Policy
>    Augmented S/MIME (PLASMA) system.  This document provides the details
>    needed to implement the new Plasma model in the CMS infrastructure.
> 
>    An additional benefit of using the Plasma module is that the server,
>    based on policy, manages who has access to the message and how the
>    keys are protected.
> 
>    The document details how the client encryption and decryption
>    processes are performed, defines how to construct the CMS recipient
>    info structure, a new content to hold the data required for the
>    Plasma server to store the keys and policy information.  The document
>    does not cover the protocol between the client and the Plasma policy
>    enforcement server.  One example of the client/server protocol can be
>    found in RFC TBD [plasma-token].
> 
> 
> 
> 
> The IETF Secretariat